## fdb 1.4.1+dfsg1

=== debian/changelog ===
fdb (1.4.1+dfsg1-4) unstable; urgency=low

  * debian/copyright: acknowledge BSD license for
    sphinx/fdbtheme/static/epub.css and
    sphinx/fdbtheme/static/fdbtheme.css_t
  * Rename repacked .orig.tar to show files have been
    removed.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 22 Oct 2014 08:50:10 +1000

fdb (1.4.1-3) unstable; urgency=low

  * Remove minified js source from source distribution as
    requested by FTP Masters.

  * Change the Licence debian/copyright to reflect reality,
    as opposed to what the author says tne licence is.

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun, 28 Sep 2014 10:52:22 +1000

fdb (1.4.1-2) unstable; urgency=low

  * Fix python3 variant not being distributed.

 -- Russell Stuart <russell-debian@stuart.id.au>  Wed, 13 Aug 2014 18:42:11 +1000

fdb (1.4.1-1) unstable; urgency=low

  * Initial release.  closes: #696950

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 24 Jun 2014 21:22:41 +1000
