=== debian/control ===
Source: fdb
Section: python
Maintainer: Russell Stuart <russell-debian@stuart.id.au>
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
  python-all (>= 2.6), python3-all,
  python-sphinx, libjs-sphinxdoc,
  python-nose, python3-nose,
  python-setuptools, python3-setuptools,
  dh-python
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.0
Homepage: https://pypi.python.org/pypi/fdb/

Package: python-fdb
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, libfbclient2
Suggests: python-fdb-doc
Description: Python2 DB-API driver for Firebird
 FDB is a Python library package that implements Python Database API
 2.0-compliant support for the open source relational database Firebird®.
 In addition to the minimal feature set of the standard Python DB API,
 FDB also exposes nearly the entire native client API of the database
 engine.  This version installs the Python2 byte code.
 .
 FDB is a replacement for python-kinterbasdb, which is no longer
 maintained by upstream.

Package: python3-fdb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libfbclient2
Suggests: python-fdb-doc
Description: Python3 DB-API driver for Firebird
 FDB is a Python library package that implements Python Database API
 2.0-compliant support for the open source relational database Firebird®.
 In addition to the minimal feature set of the standard Python DB API,
 FDB also exposes nearly the entire native client API of the database
 engine.  This version installs the Python3 byte code.
 .
 FDB is a replacement for python-kinterbasdb, which is no longer
 maintained by upstream.

Package: python-fdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-sphinxdoc
Recommends: python-fdb
Description: Python DB-API driver for Firebird documentation
 FDB is a Python library package that implements Python Database API
 2.0-compliant support for the open source relational database Firebird®.
 In addition to the minimal feature set of the standard Python DB API,
 FDB also exposes nearly the entire native client API of the database
 engine.
 .
 This package contains the HTML documentation.
