=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
  http://pypi.python.org/packages/source/f/fdb/ fdb-([0-9.]+)\.tar\.gz
