## fdb 1.4.9+dfsg1

=== debian/changelog ===
fdb (1.4.9+dfsg1-2) unstable; urgency=low

  * Fix uscan.

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu, 13 Aug 2015 21:49:08 +1000

fdb (1.4.9+dfsg1-1) unstable; urgency=low

  * New upstream version.

  * Remove python-nose dependency so dh-python doesn't run nose.
    closes: 794128

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 11 Aug 2015 16:45:29 +1000
