=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends-Indep:
   python-all (>= 2.6), python3-all,
   python-sphinx, libjs-sphinxdoc,
-  python-nose, python3-nose,
   python-setuptools, python3-setuptools,
   dh-python
 Standards-Version: 3.9.6
