=== debian/rules ===
--- 
+++ 
@@ -31,12 +31,15 @@
 # directory.  We want to build our own so we can be 100% certain
 # the shipped .js files come from Debian's python-sphinx's package.
 #
-override_dh_clean:
-	dh_clean $(DH_INTERNAL_OPTIONS)
+override_dh_auto_clean: $(PYBUILD_NAME).egg-info.orig
+	dh_auto_clean
+	$(MAKE) --directory sphinx clean
 	[ ! -d $(PYBUILD_NAME).egg-info.orig ] || { rm -rf $(PYBUILD_NAME).egg-info; mv $(PYBUILD_NAME).egg-info.orig $(PYBUILD_NAME).egg-info; }
-	$(MAKE) --directory sphinx clean
 	rm -rf html debian/missing-sources
 
-override_dh_auto_install:
+override_dh_auto_install: $(PYBUILD_NAME).egg-info.orig
+	dh_auto_install $(DH_INTERNAL_OPTIONS)
+
+
+$(PYBUILD_NAME).egg-info.orig:
 	[ ! -d $(PYBUILD_NAME).egg-info -o -d $(PYBUILD_NAME).egg-info.orig ] || mv $(PYBUILD_NAME).egg-info $(PYBUILD_NAME).egg-info.orig
-	dh_auto_install $(DH_INTERNAL_OPTIONS)
