## fdb 1.6+dfsg1

=== debian/changelog ===
fdb (1.6+dfsg1-1) unstable; urgency=low

  * Get rid of bad $(DH_INTERNAL_OPTIONS) in rules.  Closes: 831940
  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Sun, 24 Jul 2016 19:52:54 +1000
