## fdb 1.6.1+dfsg1

=== debian/changelog ===
fdb (1.6.1+dfsg1-1) unstable; urgency=low

  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue,  6 Dec 2016 16:56:00 +1000
