=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
   python-sphinx, libjs-sphinxdoc,
   python-setuptools, python3-setuptools,
   dh-python
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.0
 Homepage: https://pypi.python.org/pypi/fdb/
