=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,9 @@
 	mv docs html
 
 override_dh_installdocs:
-	dh_installdocs $(DH_INTERNAL_OPTIONS) --no-package=$(DOC_PACKAGE) README
-	dh_installdocs $(DH_INTERNAL_OPTIONS) --package=$(DOC_PACKAGE) html
-	dh_sphinxdoc $(DH_INTERNAL_OPTIONS) --package=$(DOC_PACKAGE) $(DOC_DIR)
+	dh_installdocs --no-package=$(DOC_PACKAGE) README
+	dh_installdocs --package=$(DOC_PACKAGE) html
+	dh_sphinxdoc --package=$(DOC_PACKAGE) $(DOC_DIR)
 	debian/ras-sphinxdoc.sh $(DOC_PACKAGE)/$(DOC_DIR)
 
 #
@@ -38,7 +38,7 @@
 	rm -rf html debian/missing-sources
 
 override_dh_auto_install: $(PYBUILD_NAME).egg-info.orig
-	dh_auto_install $(DH_INTERNAL_OPTIONS)
+	dh_auto_install
 
 
 $(PYBUILD_NAME).egg-info.orig:
