## fdb 2.0.0

=== debian/changelog ===
fdb (2.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936508

 -- Sandro Tosi <morph@debian.org>  Mon, 30 Dec 2019 22:53:40 -0500

fdb (2.0.0-1) unstable; urgency=low

  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Thu,  7 Feb 2019 20:43:34 +1000
