=== debian/rules ===
--- 
+++ 
@@ -8,20 +8,23 @@
 
 %:
 	#dh $@ -v --with python2,python3,sphinxdoc --buildsystem=pybuild
-	dh "$@" -v --with python2,python3 --buildsystem=pybuild
+	dh "$@" -v --with python3 --buildsystem=pybuild
 
 get-orig-source:
 	uscan --force-download
 
-override_dh_auto_build:
+override_dh_auto_build: $(PYBUILD_NAME).egg-info.orig
 	dh_auto_build
 	rm -rf docs
-	$(MAKE) --directory sphinx html
+	$(MAKE) --directory sphinx html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 	rm -rf html
 	mv docs html
 
+override_dh_auto_test:
+	# Test doesn't work without root.
+
 override_dh_installdocs:
-	dh_installdocs --no-package=$(DOC_PACKAGE) README
+	dh_installdocs --no-package=$(DOC_PACKAGE) README.rst
 	dh_installdocs --package=$(DOC_PACKAGE) html
 	dh_sphinxdoc --package=$(DOC_PACKAGE) $(DOC_DIR)
 	debian/ras-sphinxdoc.sh $(DOC_PACKAGE)/$(DOC_DIR)
@@ -35,7 +38,7 @@
 	dh_auto_clean
 	$(MAKE) --directory sphinx clean
 	[ ! -d $(PYBUILD_NAME).egg-info.orig ] || { rm -rf $(PYBUILD_NAME).egg-info; mv $(PYBUILD_NAME).egg-info.orig $(PYBUILD_NAME).egg-info; }
-	rm -rf html debian/missing-sources
+	rm -rf html debian/missing-sources .eggs
 
 override_dh_auto_install: $(PYBUILD_NAME).egg-info.orig
 	dh_auto_install
