=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1 \
  http://pypi.debian.net/fdb/fdb-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
