## fdb 2.0.1

=== debian/changelog ===
fdb (2.0.1-2) unstable; urgency=medium

  * QA upload
  * Set maintainer to Debian QA group
  * Drop Python 2 again (was reintroduced in 2.0.1-1) (Closes: #936508)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 05 Aug 2020 23:30:22 +0200

fdb (2.0.1-1) unstable; urgency=low

  * New upstream version

 -- Russell Stuart <russell-debian@stuart.id.au>  Tue, 21 Apr 2020 21:20:34 +1000
