=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: fdb
 Section: python
-Maintainer: Russell Stuart <russell-debian@stuart.id.au>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 12)
 Build-Depends-Indep:
   python3-all,
   python3-sphinx, python3-sphinx-bootstrap-theme,
   python3-setuptools,
-  libjs-sphinxdoc,
+  libjs-sphinxdoc, fonts-glyphicons-halflings,
+  libjs-bootstrap, libjs-sphinxdoc,
   dh-python
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/fdb/
 
 Package: python3-fdb
@@ -29,7 +30,10 @@
 Package: python-fdb-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-sphinxdoc
+Depends: ${misc:Depends}, ${sphinxdoc:Depends},
+ fonts-glyphicons-halflings,
+ libjs-bootstrap,
+ libjs-sphinxdoc
 Recommends: python3-fdb
 Description: Python DB-API driver for Firebird documentation
  FDB is a Python library package that implements Python Database API
