=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,8 @@
 	# Test doesn't work without root.
 
 override_dh_installdocs:
-	dh_installdocs --no-package=$(DOC_PACKAGE) README.rst
-	dh_installdocs --package=$(DOC_PACKAGE) html
+	dh_installdocs README.rst
+	dh_installdocs --package=$(DOC_PACKAGE) --doc-main-package=$(DOC_PACKAGE) html
 	dh_sphinxdoc --package=$(DOC_PACKAGE) $(DOC_DIR)
 	debian/ras-sphinxdoc.sh $(DOC_PACKAGE)/$(DOC_DIR)
