=== debian/changelog ===
fdb (5.7.0-5) unstable; urgency=medium

  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 13:25:53 +0000

fdb (5.7.0-4) unstable; urgency=medium

  * Build-dep on libodc-dev needed.  Closes: #975204
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Nov 2020 12:04:33 +0000

fdb (5.7.0-3) unstable; urgency=medium

  * Only use pmem,rados on archs they're available on

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Nov 2020 20:33:45 +0000

fdb (5.7.0-2) unstable; urgency=medium

  * B-D on libeccodes-tools, libmetkit-utils, libopenjp2-7-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Oct 2020 07:17:40 +0000

fdb (5.7.0-1) unstable; urgency=medium

  * Initial release. (Closes: #972873)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Oct 2020 16:53:46 +0000
